BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

values can be used with any of the following date and time parsing methods that include a parameter to define the interpretation of the style elements that may be present in the string to be parsed:

The ParseExact and TryParseExact methods can use any of the values. However, if none of the Allow* values is selected, the input string must have exactly the same white-space characters as the format string.

If the input string does not contain any indication of the time zone, the date and time parsing methods interpret the value of the date and time string based on the time zone setting for the operating system. To convert the date and time to the Universal Time or Greenwich Mean Time (GMT), the application should use the value. The same effect can be achieved by calling the or method. However, using the value with the date and time parsing method is more efficient.

Defines the formatting options that customize string parsing for some date and time parsing methods.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.DateTimeStyles AdjustToUniversal

  This value cannot be used with .

  Date and time are returned as a Coordinated Universal Time (UTC). If the input string denotes a local time, through a time zone specifier or , the date and time are converted from the local time to UTC. If the input string denotes a UTC time, through a time zone specifier or , no conversion occurs. If the input string does not denote a local or UTC time, no conversion occurs and the resulting property is .

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.DateTimeStyles AllowInnerWhite To be added.

  Extra white-space characters in the middle of the string must be ignored during parsing, except if they occur in the format patterns.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.DateTimeStyles AllowLeadingWhite To be added.

  Leading white-space characters must be ignored during parsing, except if they occur in the format patterns.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.DateTimeStyles AllowTrailingWhite To be added.

  Trailing white-space characters must be ignored during parsing, except if they occur in the format patterns.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.DateTimeStyles AllowWhiteSpaces To be added.

  Extra white-space characters anywhere in the string must be ignored during parsing, except if they occur in the format patterns. This value is a combination of the , , and values.

  0
- Field
  2.0.0.0
  4.0.0.0
  System.Globalization.DateTimeStyles

  This value cannot be used with or .

  If no time zone is specified in the parsed string, the string is assumed to denote a local time.

- Field
  2.0.0.0
  4.0.0.0
  System.Globalization.DateTimeStyles

  This value cannot be used with or .

  If no time zone is specified in the parsed string, the string is assumed to denote a UTC.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.DateTimeStyles NoCurrentDateDefault To be added.

  If the parsed string contains only the time and not the date, the parsing methods assume the Gregorian date with year = 1, month = 1, and day = 1. If this value is not used, the current date is assumed.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.DateTimeStyles None To be added.

  Default formatting options must be used. This value represents the default style for the , , and methods.

  0
- Field
  2.0.0.0
  4.0.0.0
  System.Globalization.DateTimeStyles

  The field of a date is preserved when a object is converted to a string using the "o" or "r" standard format specifier, and the string is then converted back to a object.

0